log4cpp: log4cpp::TimeStamp Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# log4cpp::TimeStamp Class Reference

A simple TimeStamp abstraction. More...

`#include <TimeStamp.hh>`

Collaboration diagram for log4cpp::TimeStamp:

[legend]
List of all members.

## Public Member Functions
| TimeStamp ()
| Constructs a TimeStamp representing 'now'.
| TimeStamp (unsigned int seconds, unsigned int microSeconds=0)
| Constructs a TimeStamp representing the given offset since the epoch ( 00:00:00 1970/1/1 UTC).
int | getSeconds () const
| Returns the 'seconds' part of the TimeStamp.
int | getMilliSeconds () const
| Returns the 'subseconds' part of the TimeStamp in milliseconds, getMilliSeconds() == getMicroSeconds() / 1000.
int | getMicroSeconds () const
| Returns the subsecond part of the TimeStamp in microseconds.
## Static Public Member Functions
static const TimeStamp & | getStartTime ()
| Returns a TimeStamp representing the time at which the application started.
## Protected Attributes
int | _seconds
int | _microSeconds
## Static Protected Attributes
static TimeStamp | _startStamp

## Detailed Description

A simple TimeStamp abstraction.

## Constructor & Destructor Documentation

log4cpp::TimeStamp::TimeStamp | ( |  | ) |

Constructs a TimeStamp representing 'now'.

log4cpp::TimeStamp::TimeStamp | ( | unsigned int | seconds,
|  | unsigned int | microSeconds = `0` |
| ) |  |  |

Constructs a TimeStamp representing the given offset since the epoch ( 00:00:00 1970/1/1 UTC).

## Member Function Documentation

int log4cpp::TimeStamp::getSeconds | ( |  | ) | const`[inline]`

Returns the 'seconds' part of the TimeStamp.

int log4cpp::TimeStamp::getMilliSeconds | ( |  | ) | const`[inline]`

Returns the 'subseconds' part of the TimeStamp in milliseconds, getMilliSeconds() == getMicroSeconds() / 1000.

int log4cpp::TimeStamp::getMicroSeconds | ( |  | ) | const`[inline]`

Returns the subsecond part of the TimeStamp in microseconds.

The actual precision of this value depends on the platform and may be in the order of milliseconds rather than microseconds.

static const TimeStamp& log4cpp::TimeStamp::getStartTime | ( |  | ) | `[inline, static]`

Returns a TimeStamp representing the time at which the application started.

## Member Data Documentation

LOG4CPP_EXPORT TimeStamp log4cpp::TimeStamp::_startStamp`[static, protected]`

int log4cpp::TimeStamp::_seconds`[protected]`

int log4cpp::TimeStamp::_microSeconds`[protected]`

The documentation for this class was generated from the following files:

- TimeStamp.hh
- TimeStamp.cpp